@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}
*::after {
    box-sizing: border-box;
}
*::before {
    box-sizing: border-box;
}

.wrapper {
    overflow:auto;
    width: 100vw;
    height: 100vh;
    background-image: url("../img/background.png");
    

}
.container {
    width: 1030px;
    margin: 0px auto;
}
.header {
    margin-top: 51px;
    display: flex;
    justify-content: space-between;
    
    height: 61px;
}
.logo {
    width: 53px;
    height: 47px;
    margin-top: 3px;
}
.logo-hover {
    display:none;
    width: 53px;
    height: 47px;
    margin-top: 3px;
}    
.header-logo {
    display: flex;
    padding-bottom: 0;
}
.header-logo-link {
    display: block;
}
.headeer-logo-text {
    margin-left: 10px;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    color: #FFFFFF;
}
.headeer-logo-text::first-line {
    font-size: 29px;
}
.header-logo:hover .logo {
    display: none;
} 
.header-logo:hover .logo-hover {
    display: block;
    color: #F26522
}
.header-logo:hover .headeer-logo-text {
    color: #F26522
    
}
.header-contact {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.header-contact-link {
    display: block;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    color: #FFFFFF;
    text-align: end;
}
.header-contact-link:hover {
    color: #F26522
}
.main {
    margin-top: 26px;
    display: grid;
    grid-template-rows: repeat(2 1fr);
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 62px;
    row-gap: 37px;
    
}
.main-item {
    width: 300px; 
    pointer-events: none;
}
.main-item-link {
    display: block;

}
.main-item-continer {
    position: relative;
    height: 220px; 
    width: 100%;
}
.main-item-image {
    width: 100%;
    height: 220px;
    pointer-events: all;  
    border: 6px solid; 
    border-image: linear-gradient(black,white) ;
    border-image-slice: 1;
}
 .main-item-text {
    display: block;
    pointer-events: all;
    width: max-content;
    margin: 20px auto;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    color: #FFFFFF;   
}

.main-item-price {
    position: absolute;
    bottom:0px;
    width: 100%;
    height: 55px;
    background: #F26522;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
    grid-template-areas: 
    "main-item1 main-item1"
    "main-item2 main-item3"
    ;
    display: grid;
    padding: 7px 32px 12px 16px;
    color: #FFFFFF;
    transition: all 1.2s ease;
    opacity: 0;

}
.main-item1 {
    grid-area: main-item1;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 10px;
}
.main-item2 {
    grid-area: main-item2;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    margin-top: 8px;

}
.main-item3 {
    grid-area: main-item3;
    position: relative;
    justify-self: end;
    align-self: flex-end;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
}
.main-item3::after {
    content:"";
    background-image: url(../img/Vector\ 1.png);
    bottom: 3px;
    right: -18px;
    width: 5px;
    height: 9px;
    position: absolute;
    background-size: contain;
}
.main-item :hover .main-item-price {
    opacity: 1;
    
}
.main-item:hover .main-item-text {
    color: #F26522;
}
.footer {
    margin-top: 49px;
    margin-bottom: 15px;
    text-align: center;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    color: #FFFFFF;

}